Subject: Implicit make woes
From: [email-masked] (Allan Peda)

27 Nov 1998 22:30:02 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: multipart/mixed;
 boundary="------------5EA58C69952F78656558B411"
To: cygwin <[email-masked]>

This is a multi-part message in MIME format.
--------------5EA58C69952F78656558B411
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit

Obviously something is set wrong ($INCLUDE or similiar), but the more I
fuss with this the worse it gets.  Explicit compiling is fine:

bash-2.02$ gcc hello.c -o hello.exe
bash-2.02$ ./hello
hello GNUish world!

But an implicit make (single source, no makefile) yields:

bash-2.02$ rm hello.exe
bash-2.02$ make hello
/bin/gcc.exe     hello.c   -o hello
hello.c:1: No include path in which to find stdio.h
make: *** [hello] Error 1
bash-2.02$

I tried moving stdio.h to /usr/include, but that just changed the
error.  I will probably reinstall, but I'd like to know why make should
foul up a simple compile.

Allan

--------------5EA58C69952F78656558B411
Content-Type: text/x-vcard; charset=us-ascii;
 name="allan.vcf"
Content-Transfer-Encoding: 7bit
Content-Description: Card for Allan Peda
Content-Disposition: attachment;
 filename="allan.vcf"

begin:vcard 
n:Peda;Allan
tel;work:718-243-1721
x-mozilla-html:FALSE
adr:;;;;;;
version:2.1
email;internet:[email-masked]
fn:Allan Peda
end:vcard

--------------5EA58C69952F78656558B411--

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".